Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.plaf.windows
Class ExtWindowsXPPasswordFieldUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.TextUI
              javax.swing.plaf.basic.BasicTextUI
                  javax.swing.plaf.basic.BasicTextFieldUI
                      javax.swing.plaf.basic.BasicPasswordFieldUI
                          com.sun.java.swing.plaf.windows.WindowsPasswordFieldUI
                              com.jgoodies.plaf.windows.ExtWindowsXPPasswordFieldUI

All Implemented Interfaces:
  ViewFactory

public final class ExtWindowsXPPasswordFieldUI
extends com.sun.java.swing.plaf.windows.WindowsPasswordFieldUI

The JGoodies Windows Look&Feel implementation of a password field UI delegate. It differs from its superclass in that it utilizes a password view that renders a circle, not a star ("*") character.

Version:
  $Revision: 1.3 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes inherited from class javax.swing.plaf.basic.BasicTextUI
`BasicTextUI.BasicCaret, BasicTextUI.BasicHighlighter`

Constructor Summary
`ExtWindowsXPPasswordFieldUI()`

Method Summary
`View` | `create(Element elem)` Creates a view (an `ExtWindowsXPPasswordView`) for an element.
`static ComponentUI` | `createUI(JComponent c)` Creates a UI for a `JPasswordField`.

Methods inherited from class com.sun.java.swing.plaf.windows.WindowsPasswordFieldUI
`createCaret`

Methods inherited from class javax.swing.plaf.basic.BasicPasswordFieldUI
`getPropertyPrefix`

Methods inherited from class javax.swing.plaf.basic.BasicTextFieldUI
`installUI, propertyChange`

Methods inherited from class javax.swing.plaf.basic.BasicTextUI
`create, createHighlighter, createKeymap, damageRange, damageRange, getComponent, getEditorKit, getKeymapName, getMaximumSize, getMinimumSize, getNextVisualPositionFrom, getPreferredSize, getRootView, getToolTipText, getVisibleEditorRect, installDefaults, installKeyboardActions, installListeners, modelChanged, modelToView, modelToView, paint, paintBackground, paintSafely, setView, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, update, viewToModel, viewToModel`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtWindowsXPPasswordFieldUI

    public ExtWindowsXPPasswordFieldUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent c)

  Creates a UI for a `JPasswordField`.

  Parameters:
    `c` - the password field component
  Returns:
    the UI

### create

    public View create(Element elem)

  Creates a view (an `ExtWindowsXPPasswordView`) for an element.

  Parameters:
    `elem` - the element
  Returns:
    the view

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2004 JGoodies Karsten Lentzsch. All Rights Reserved.